import {
	WeaTools
} from 'ecCom'

export const getRight = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarychange/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarychange/getButtonMenu', 'POST', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarychange/getSalaryChangeLogList', 'POST', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarychange/getSalaryChangeLogCondition', 'GET', params);
}

export const getForm = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarychange/getSalaryChangeForm?is_multilang_set=true', 'POST', params);
}

export const save = (params) => {
	return WeaTools.callApi('/api/hrm/finance/salarychange/saveSalaryChange', 'POST', params);
}